# TripServices Stays

The TripServices Stay v11 APIs are a robust, flexible set of RESTful JSON endpoints that empower developers to build seamless, beautiful hotel booking experiences with global reach and real-time data. Built for developers, our APIs are designed to integrate easily into your applications, enabling you to build rich, responsive hotel booking interfaces tailored to your users. For information on how Travelport uses polymorphism in our APIs please see documentation available. [Polymorphism guide](https://developer.travelport.com/docs/best-practice-polymorphism)

Version: 11.37.2

## Servers

```
https://api.pp.travelport.net/11
```

```
https://api.travelport.net/11
```

## Security

### bearerAuth

Bearer authentication using a JSON Web Token (JWT). The token must be sent in the Authorization header using the format: `Authorization: Bearer <token>`.

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

 - [TripServices Stays](https://developer.travelport.com/_bundle/apis/stays/@11.37.2/index.yaml)

## Authentication

 - [POST /oauth/token](https://developer.travelport.com/apis/stays/authentication/paths/~1oauth~1token/post.md): Enter your credentials below and click 'Send' to fetch your bearer token.
## Search and Details

 - [GET /hotel/search/propertiesdetail](https://developer.travelport.com/apis/stays/search-and-details/getpropertiesdetail.md): The Hotel Details request retrieves, for a specified property, a additional property-level information such as description and images provided by the supplier. It is an optional request and does not n
 - [POST /hotel/search/properties/search](https://developer.travelport.com/apis/stays/search-and-details/searchbylocation.md): The Search by Location request searches for hotels by any one of: - geographic coordinates - address - IATA airport code - IATA city code. Although you can search by various criteria, all responses r
 - [POST /hotel/search/properties](https://developer.travelport.com/apis/stays/search-and-details/create.md): The Search by ID request searches for specific hotels by their property ID. You can send up to 250 property IDs. The response returns a list of properties based on the ID/s sent. The Search by ID resp
 - [GET /hotel/search/properties/{identifier}](https://developer.travelport.com/apis/stays/search-and-details/getpropertiespage.md): Return additional search results. The v11 hotel search APIs (Search by Location and Search by ID) use pagination by default. Search responses return up to 100 properties in the initial response, or al
## Availability

 - [POST /hotel/availability/catalogofferingshospitality](https://developer.travelport.com/apis/stays/availability/createhotelavailability.md): Hotel Availability returns room types and rates available at one or more specified properties on specified dates.
 - [GET /hotel/availability/catalogofferingshospitality/{identifier}](https://developer.travelport.com/apis/stays/availability/gethotelavailabilitypage.md): Return additional availability results. The Hotel Availability response uses pagination by default. The response notes the total number of rates found and, if greater than 100, also returns a paginati
## Rules

 - [POST /hotel/rules/offershospitality/buildfromcatalogoffering](https://developer.travelport.com/apis/stays/rules/buildhotelrulesfromcatalogoffering.md): Hotel Rules retrieves the rules associated with a specific rate. The reference payload references an offer by sending the unique offer ID from an Availability response, instead of sending all required
 - [POST /hotel/rules/offershospitality/buildfromrequest](https://developer.travelport.com/apis/stays/rules/createhotelrules.md): Hotel Rules retrieves the rules associated with a specific rate. The full payload request in this topic sends all required rate details, while the reference payload Rules request references rate detai
 - [POST /hotel/rules/offershospitality/buildfromcatalogofferings](https://developer.travelport.com/apis/stays/rules/buildfromcatalogofferings.md): Deprecated - use BuildFromCatalogOffering end point
## Unified Check Out

 - [POST /hotel/book/reservations](https://developer.travelport.com/apis/stays/unified-check-out/createhotelreservation.md): Use the Create Reservation Full Payload request to book a room by sending complete stay details and the booking code from the Availability response, along with traveler, form of payment, and payment i
 - [POST /hotel/book/reservations/build](https://developer.travelport.com/apis/stays/unified-check-out/buildhotelreservation.md): Use the Create Reservation Reference Payload request to book a room using a cached offer from either a preceding Availability or SearchComplete response. The reference payload request sends an offer I
 - [GET /hotel/book/reservations/{Identifier}](https://developer.travelport.com/apis/stays/unified-check-out/retrievehotelreservation.md): The Retrieve Hotel Reservation API returns all existing data on a reservation. You may retrieve details about a held booking or PNR. While a PNR refers to a held booking that has not been ticketed, th
 - [PUT /hotel/book/reservations/{Identifier}](https://developer.travelport.com/apis/stays/unified-check-out/updatehotelreservation.md): Use Modify Hotel Reservation to modify specific data on an existing booking. Modify Hotel supports changes to the following data: - Dates of reservation - If allowed by supplier; note that a change
 - [PUT /hotel/book/reservations/{reservationIdentifier}/canceloffer](https://developer.travelport.com/apis/stays/unified-check-out/cancelhoteloffer.md): The Cancel Hotel Reservation API cancels an existing hotel reservation.
 - [POST /hotel/book/reservations/passive](https://developer.travelport.com/apis/stays/unified-check-out/createhotelpassivereservation.md): Create Passive Reservation creates a new booking with a hotel segment booked outside the Travelport GDS, called a passive segment. This allows the booking to include complete travel details. Passive
 - [PUT /hotel/book/reservations/{reservationIdentifier}/passive](https://developer.travelport.com/apis/stays/unified-check-out/addpassiveoffer.md): Use the Add Passive Reservation request to add a passive hotel booking segment to an existing reservation. You can add either of two types of passive segments to an existing reservation: - Sending ful
 - [PUT /hotel/book/reservations/{reservationIdentifier}/passiveupdate](https://developer.travelport.com/apis/stays/unified-check-out/updatepassiveoffer.md): Use Modify Passive Reservation to update any parameter within an MK passive hotel booking segment of an existing reservation. MK designates a confirmed passive segment, while AK is used for placeholde
## Sessioned Check Out

 - [POST /air/book/traveler/reservationworkbench/{ReservationResource_Identifier}/travelers/list](https://developer.travelport.com/apis/stays/sessioned-check-out/addtravelers.md): Send the Add Traveler request to add multiple travelers to the reservation workbench. Traveler information can include traveler name and contact details. Traveler information can include traveler name
 - [POST /air/payment/reservationworkbench/{ReservationResource_Identifier}/formofpayment](https://developer.travelport.com/apis/stays/sessioned-check-out/addformofpayment.md): You can send an Add Form of Payment (FOP) request in either a booking or ticketing workbench session. FOPs of cash and credit are supported. FOPs of agent invoice and non-standard credit card are supp
 - [POST /air/book/remarks/reservationworkbench/{ReservationResource_Identifier}/reservationcomments/list](https://developer.travelport.com/apis/stays/sessioned-check-out/addreservationcomments.md)
 - [PUT /air/book/profile/reservationworkbench/{identifier}/clientprofile](https://developer.travelport.com/apis/stays/sessioned-check-out/clientprofilemove.md): Functionality to move client profile information into the Reservation workbench.
